<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author			pedro.garcia
@version 		2.0
@description 	Pantalla para realizar la consulta de predios
@cu 			CU-CO-E-02
    
-->
<h:form id="formPS"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <h:panelGrid columns="1">
        <p:messages id="msjPredio" />
        <p:spacer height="5" width="0"/>
        <p:commandButton value="Limpiar predios seleccionados"
                         id="limpiarPredios" action="#{consultaPredio.limpiarPredios}"
                         icon="ui-icon ui-icon-trash" update="prediosSeleccionados"
                         immediate="true" />

        <p:spacer height="2"></p:spacer>
        <p:dataTable value="#{consultaPredio.prediosSeleccionados}"
                     var="currentPredio" id="prediosSeleccionados" paginator="true"
                     rows="5"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                     emptyMessage="No hay predios seleccionados">

            <p:column>
                <f:facet name="header">
                    <h:outputText value="Detalle" />
                </f:facet>
                <p:commandButton title="Ver"
                                 action="#{consultaPredio.cleanAllMB}"
                                 oncomplete="detallePredioWV.show();" update=":tabsgrid"
                                 immediate="true" ajax="true" icon="ui-icon ui-icon-search">
                    <f:setPropertyActionListener value="#{currentPredio}"
                                                 target="#{consultaPredio.selectedPredio2}" />
                </p:commandButton>
                <p:commandButton title="Eliminar"
                                 action="#{consultaPredio.eliminarPredio}"
                                 update=":formPS" immediate="true" ajax="true"
                                 icon="ui-icon ui-icon-trash">
                    <f:setPropertyActionListener value="#{currentPredio}"
                                                 target="#{consultaPredio.selectedPredio2}" />
                </p:commandButton>

            </p:column>

            <p:column>
                <f:facet name="header">
                    <h:outputText value="Departamento" />
                </f:facet>
                <h:outputText value="#{currentPredio[0]}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputText value="Municipio" />
                </f:facet>
                <h:outputText value="#{currentPredio[1]}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputText value="Consecutivo catastral" />
                </f:facet>
                <h:outputText value="#{currentPredio[18]}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputText value="NIP" />
                </f:facet>
                <h:outputText value="#{currentPredio[17]}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputText value="Número. predial" />
                </f:facet>
                <h:outputText value="#{currentPredio[14]}" />
            </p:column>
        </p:dataTable>

    </h:panelGrid>

</h:form>